user  shenzhiming root;
worker_processes  auto;

error_log  /home/shenzhiming/nginx/logs/error.log  debug;
pid        /home/shenzhiming/nginx/logs/nginx.pid;

events {
	use   epoll;
    worker_connections  1024;
}


http {
    include       mime.types;
    default_type  application/octet-stream;

    log_format  main  '$remote_addr - $remote_user [$time_local] "$request" '
                      '$status $body_bytes_sent ret_time:$request_time "$http_referer" '
                      '"$http_user_agent" "$http_x_forwarded_for" request_uri [$request_uri]';
	
	include		log_format.conf;

	server_names_hash_bucket_size 64;
    access_log  /home/shenzhiming/nginx/logs/access.log  main;

	client_body_temp_path /home/shenzhiming/nginx/client_body_temp;
	fastcgi_temp_path /home/shenzhiming/nginx/fastcgi_temp;
	proxy_temp_path /home/shenzhiming/nginx/proxy_temp;
	scgi_temp_path /home/shenzhiming/nginx/scgi_temp;
	uwsgi_temp_path /home/shenzhiming/nginx/uwsgi_temp;

    sendfile       on;
    tcp_nopush     on;
	tcp_nodelay    on;

    #keepalive_timeout  0;
    keepalive_timeout  65;

	fastcgi_connect_timeout 300;
	fastcgi_send_timeout 300;
	fastcgi_read_timeout 300;
	fastcgi_buffer_size 64k;
	fastcgi_buffers 4 64k;
	fastcgi_busy_buffers_size 128k;
	fastcgi_temp_file_write_size 128k;

    #gzip  on;
	gzip  on;
	gzip_min_length 1k;
	gzip_buffers 4 16k;
	gzip_http_version 1.1;
	gzip_comp_level 2;
	gzip_vary on;
	gzip_proxied any;
	gzip_disable "MSIE [1-6]\.";

	# 官网模块代理
	include "site-conf/www.photonshalo.com.conf";
	include "site-conf/www.photonbarrier.com.conf";
	include "site-conf/ftp.photonbarrier.com.conf";
	include "site-conf/test.photonbarrier.com.conf";
}

